Bug 170278 - CVE-2005-3180 orinoco driver information leakage
CVE-2005-3180 orinoco driver information leakage
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: John W. Linville
Brian Brock
public=20051004,impact=important,sour...
: Security
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-10-10 10:46 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0140
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-19 11:01:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jwltest-orinoco-skb-pad.patch (969 bytes, patch)
2005-10-11 14:21 EDT, John W. Linville
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2005-10-10 10:46:04 EDT
+++ This bug was initially created as a clone of Bug #170277 +++

The orinoco driver can send uninitialized data exposing random pieces of the
system memory.  This happens because data is not padded with zeroes when its
length needs to be increased.

For the 2.6 upstream fix see
http://linux.bkbits.net:8080/linux-2.6/cset@43434a71q9eUGtXKCTmWyYIPqFjEUQ

However Alan Cox said "skb_padto already does the if() so the extra if
(skb->len < len) just wastes resources"
Comment 1 John W. Linville 2005-10-11 14:21:14 EDT
Created attachment 119813 [details]
jwltest-orinoco-skb-pad.patch
Comment 2 John W. Linville 2005-10-11 16:51:55 EDT
Test kernels w/ the above patch available here: 
 
   http://people.redhat.com/linville/kernels/rhel3/ 
 
RHEL3 orinoco users are invited to give them a spin... 
Comment 13 Ernie Petrides 2005-10-20 01:45:29 EDT
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.6.EL).
Comment 15 Ernie Petrides 2006-01-11 18:33:10 EST
A fix for this problem has also been committed to the RHEL3 E7
patch pool this evening (in kernel version 2.4.21-37.0.1.EL).
Comment 17 Red Hat Bugzilla 2006-01-19 11:01:02 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0140.html

Note You need to log in before you can comment on or make changes to this bug.